Package Details: qxmledit 0.9.7-1

Git Clone URL: https://aur.archlinux.org/qxmledit.git (read-only)
Package Base: qxmledit
Description: Simple XML editor and XSD viewer
Upstream URL: http://qxmledit.org/
Licenses: GPL3, LGPL3
Submitter: Lone_Wolf
Maintainer: Lone_Wolf
Last Packager: Lone_Wolf
Votes: 4
Popularity: 0.673218
First Submitted: 2016-07-01 15:09
Last Updated: 2017-05-24 22:18

Latest Comments

SanskritFritz commented on 2017-05-25 14:33

OK, it was my fault, fixing the libglvnd issue solved my problem with qxmledit. Thanks for your help and sorry for the noise.

SanskritFritz commented on 2017-05-24 22:48

Same problem with 0.9.7. I think it is due to and older version of libglvnd here. I'll sort this out first, then we'll see if that solves this problem.

Lone_Wolf commented on 2017-05-24 22:21

No errors here with 0.9.6 or 0.9.7 (latest version) .

Sanskritfritz, if you get errors with 0.9.7 also, please post full log somewhere (like a pastebin site) .

SanskritFritz commented on 2017-05-24 14:50

I got an error during makepkg:

/usr/bin/ld: cannot find -lGL
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile.QXmlEditWidget:1735: ../build/libQXmlEditWidget-0.9.6.so.0.9.6] Error 1

Lone_Wolf commented on 2016-10-25 12:32

thanks for the alert, checked and freeglut is indeed needed at build time.

If freeglut is not installed at runtime qxmledit doesn't complain and everything seems to work normally in a quick test.
I've added freeglut to makedepends.

g4c commented on 2016-10-25 00:13

I had to install the 'freeglut' package to successfully compile.